// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_hockey/hk_sky1
{
	qer_editorimage env/ut4_hockey/stars_bk.jpg
	
	skyparms env/ut4_hockey/stars 128 -
	
	q3map_sunEXT 1 1 1 1000 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 600 3
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Clouds ===---

// ---=== No Damage ===---

textures/ut4_hockey/black:q3map
{
	surfaceparm nodamage
}

textures/ut4_hockey/e8_base1c:q3map
{
	surfaceparm nodamage
}

textures/ut4_hockey/e8crete01:q3map
{
	surfaceparm nodamage
}

textures/ut4_hockey/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_hockey/e8cretefloor02:q3map
{
	surfaceparm nodamage
}

textures/ut4_hockey/kw_icebase1:q3map
{
	surfaceparm nodamage
}

textures/ut4_hockey/kw_blue_goal1:q3map
{
	surfaceparm nodamage
}

textures/ut4_hockey/kw_blueline:q3map
{
	surfaceparm nodamage
}

textures/ut4_hockey/kw_red_goal1:q3map
{
	surfaceparm nodamage
}

textures/ut4_hockey/kw_redline:q3map
{
	surfaceparm nodamage
}

textures/ut4_hockey/kw_white_boards1:q3map
{
	surfaceparm nodamage
}

textures/ut4_hockey/kw_white_pad1:q3map
{
	surfaceparm nodamage
}

textures/ut4_hockey/kw_yellowline:q3map
{
	surfaceparm nodamage
}

// ---=== non-solids ===---

textures/ut4_hockey/hk_net4
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	qer_editorimage textures/ut4_hockey/kw_net4.tga
	
	{
		map textures/ut4_hockey/kw_net4.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_hockey/hk_chrome1_ns
{
	qer_editorimage textures/ut4_hockey/chrome1.tga
	surfaceparm nonsolid

	{
		map textures/ut4_hockey/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_hockey/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

// ---=== Slick Textures ===--

textures/ut4_hockey/black_slick:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_hockey/e8crete01_slick:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_hockey/e8crete03fadedwarn_slick:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_hockey/e8cretefloor02_slick:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_hockey/kw_blue_slick:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_hockey/kw_red_slick:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_hockey/kw_white_slick:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_hockey/hk_icebase1
{
	qer_editorimage textures/ut4_hockey/kw_icebase1.jpg
	surfaceparm slick
	surfaceparm nodamage
	
	{
		map textures/ut4_hockey/kw_icebase1.jpg
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== Glass ===---

textures/ut4_hockey/hk_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_hockey/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_hockey/hk_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_plain.tga
	qer_trans 0.6
//	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_hockey/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_hockey/hk_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_hockey/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== shiny ===---

textures/ut4_hockey/hk_chrome1
{
	qer_editorimage textures/ut4_hockey/chrome1.tga

	{
		map textures/ut4_hockey/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_hockey/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_hockey/hk_e8base1c_shny
{
	qer_editorimage textures/ut4_hockey/e8_base1c.jpg
	surfaceparm nodamage
	surfaceparm slick
	
	{
		map textures/ut4_hockey/e8_base1c.jpg
	}
	{
		map textures/ut4_hockey/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Ladderclip ===---

textures/ut4_hockey/hk_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---

textures/ut4_hockey/e6basicstrip_blue
{
	qer_editorimage textures/ut4_hockey/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_hockey/e6basicstrip_blue.tga
	}
}

textures/ut4_hockey/e6basicstrip_green
{
	qer_editorimage textures/ut4_hockey/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_hockey/e6basicstrip_green.tga
	}
}

textures/ut4_hockey/e6basicstrip_orange
{
	qer_editorimage textures/ut4_hockey/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_hockey/e6basicstrip_orange.tga
	}
}

textures/ut4_hockey/e6basicstrip_purple
{
	qer_editorimage textures/ut4_hockey/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_hockey/e6basicstrip_purple.tga
	}
}

textures/ut4_hockey/e6basicstrip_red
{
	qer_editorimage textures/ut4_hockey/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_hockey/e6basicstrip_red.tga
	}
}

textures/ut4_hockey/e6basicstrip_white
{
	qer_editorimage textures/ut4_hockey/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_hockey/e6basicstrip_white.tga
	}
}

textures/ut4_hockey/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_hockey/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_hockey/e6basicstrip_yellow.tga
	}
}

// ---=== Water ===---


// ---=== Decals ===---

textures/ut4_hockey/hk_roofid_1
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nodamage
	nomipmaps
	nopicmip
	qer_editorimage textures/ut4_hockey/roof_id_1.tga

	{
		map textures/ut4_hockey/roof_id_1.tga
		blendfunc filter
	}
}

textures/ut4_hockey/hk_dvisor1
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	nomipmaps
	polygonoffset
	qer_editorimage textures/ut4_hockey/dvisor2.tga

	{
		map textures/ut4_hockey/dvisor2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphafunc ge128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}


textures/ut4_hockey/hk_fsk_b
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid
	nomipmaps
	nopicmip
	qer_editorimage textures/ut4_hockey/zel_fsk405_b.jpg

	{
		map textures/ut4_hockey/zel_fsk405_b.jpg
		blendfunc filter
	}
}

textures/ut4_hockey/hk_fsk_r
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	nomipmaps
	nopicmip
	qer_editorimage textures/ut4_hockey/zel_fsk405_r.jpg

	{
		map textures/ut4_hockey/zel_fsk405_r.jpg
		blendfunc filter
	}
}

textures/ut4_hockey/hk_tg1
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	nomipmaps
	polygonoffset
	qer_editorimage textures/ut4_hockey/tg1.tga

	{
		map textures/ut4_hockey/tg1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphafunc ge128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/ut4_hockey/hk_tg2
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	nomipmaps
	polygonoffset
	qer_editorimage textures/ut4_hockey/thynkgames1.tga

	{
		map textures/ut4_hockey/thynkgames1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphafunc ge128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/ut4_hockey/hk_urt1
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	nomipmaps
	nopicmip
	qer_editorimage textures/ut4_hockey/fs_utlogo.jpg
	
	q3map_surfacelight 100	

	{
		map textures/ut4_hockey/fs_utlogo.jpg
		blendfunc filter
	}
}

// ---=== Evil Shaders ===---


// ---=== mrcleantex shaders ===---

// ---=== soc shaders ===---
